2 Replies Latest reply on Nov 8, 2012 12:18 PM by Jon Munday

    HP NMI sourcing bundle (version 2.1.2) for ESXi 5.0

    Jon Munday Master
    vExpert

      Hi All,

       

      I have just found a bug in the latest NMI sourcing bundle (version 2.1.2) for HP DL585 G6 servers.

       

      I currently have version 2.0.11 installed, and after importing version 2.12 into my VUM repository and scanning the host for updates it was oddly already installed. The obvious alarm bell was that the install data was much earlier thant the release date.

       

      Version 2.1.2 - released 13/08/2012;

      HP-NMI.png

       

      I knew that I hadn't deployed this yet, so did a little digging.

       

      From the DCUI I can see that I have the old version 2.0.11 installed (with an old date as expected);

      ~ # esxcli software vib list | grep hpnmi

       

      Name                  Version                             Vendor           Acceptance Level  Install Date
      --------------------  ----------------------------------  ---------------  ----------------  ------------

      hpnmi                 2.0.11-434156                       hp               PartnerSupported  2012-04-28

       

      So why was VUM reporting that version 2.1.2 was already installed?

       

      I manually removed this;

      ~ # esxcli software vib remove -n hpnmi

       

      Removal Result
         Message: Operation finished successfully.
         Reboot Required: false
         VIBs Installed:
         VIBs Removed: hp_bootbank_hpnmi_2.0.11-434156
         VIBs Skipped:

       

      I rescanned the host, and used VUM to deploy version 2.1.2 (release date 13/08/2012).

       

      Now, from the DCUI I can see that I still have the old version 2.0.11 installed, but the install date has changed to today;

      ~ # esxcli software vib list | grep hpnmi

       

      Name                  Version                             Vendor           Acceptance Level  Install Date
      --------------------  ----------------------------------  ---------------  ----------------  ------------

      hpnmi                 2.0.11-434156                       hp               PartnerSupported  2012-11-08

       

       

      So the question is, do I have the old version or the new version installed?

       

      I looked into the XML data of the bundles, and it turns out that HP did a poor job of updating the version numbers so the current version 2.1.2 has a mix of old and new version numbers embedded in the XML (see below);

       

      Version 2.0.11 - correct;

      NMI-2-0-11.png

       

      Version 2.1.2 - incorrect;

      NMI-2-1-2.png

       

      Has anyone else noticed this, and can I safely assume that I have the new version installed, but simply reports the old version number because of the sloppy version control?

       

      Cheers,

      Jon